Subject: Re: Emacs and 'tty'
From: "Daniel Adams" <[email-masked]>
To: [email-masked]
Date: Sat, 17 Aug 2002 19:34:22 -0700
Newsgroups: gmane.os.cygwin

I had at one point written a section into my login script ie (.tcshrc) that
would change the shell value from cygwin to vt100. The benefit of this was
to be able to view pine and other programs that depend on a known shell to
operate.

Unfortunately my computer crashed and had to be reloaded, thus I lost that
script, if I can find it or recreate it, I will gladly post it.

Daniel Adams

"Jelks Cabaniss" <[email-masked]> wrote in message
news:000f01c2465c$ed16b8a0$6701a8c0@blackie...
> Joe Buehler wrote:
>
> > set CYGWIN=codepage:oem tty
> >
> > Notice the lack of quotes -- don't add any.  You might have
> > interesting results without "binmode" also -- I haven't tried it.
> >
> > I believe the CYGWIN variable is documented on a page on the
> > cygwin site somewhere.
>
> I found it with a Google search, then saw Mark Harig had already done
> the work :) ...
>
> http://www.cygwin.com/cygwin-ug-net/using-cygwinenv.html
>
> ... where it says:
>
>   (no)tty - if set, Cygwin enables extra support (i.e.,
>   termios) for UNIX-like ttys. It is not compatible with some
>   Windows programs. Defaults to not set, in which case the tty
>   is opened in text mode with ^Z as EOF. Note that this has
>   been changed such that ^D works as expected instead of ^Z,
>   and is settable via stty. This option must be specified
>   before starting a Cygwin shell and it cannot be changed in
>   the shell.
>
> Hmm, I wonder what win progs don't work.  It's somewhat of a drag that
> it can't be changed in the shell, otherwise one could just create a
> function in the .bashrc to export tty then call emacs.
>
> (I also notice that codepage:* is not mentioned on that page, yet it
> seems to be needed IIRC for rxvt.  Any reason *not* to have the standard
> distribution put 'set CYGWIN=codepage:oem' in cygwin.bat?)
>
>
> /Jelks
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/